drop view v_lesson;

create view public.v_lesson as
select su.pk_lesson
       s.name as source_name,
       su.theme,
       su.subtheme,
       array_agg(d.slot_day) as slots,
       su.order_nr
from public.t_subject su
left join public.t_source s on s.pk_source = su.fk_source
left join public.t_lesson_subject ls on ls.fk_subject = su.pk_subject
left join public.t_lesson l on l.pk_lesson = ls.fk_lesson
left join public.t_slot d on d.pk_slot = l.fk_slot
group by su.pk_lesson, s.name, su.theme, su.subtheme, su.order_nr;

create or replace view v_version as
select 4 as version;
